#!/bin/bash
PWD=$(pwd)
BASE_DIR=${PWD}/base
MANIFEST_DIR=${PWD}/firefox
OUTPUT_DIR=${PWD}/out/artifacts/firefox
OUTPUT_FILE=${OUTPUT_DIR}/extension.zip

echo $BASE_DIR
echo $MANIFEST_DIR

mkdir -p ${OUTPUT_DIR}

# check if file exists before removing
[ -f ${OUTPUT_FILE} ] && rm -f ${OUTPUT_FILE}

pushd ${BASE_DIR}
zip -r ${OUTPUT_FILE} *
popd
pushd ${MANIFEST_DIR}
zip ${OUTPUT_FILE} manifest.json
popd
